Allow me to not copy attachments when copying issues

2018-10-02 14:06 - Ewan Makepeace

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

I am really pleased with the current ability to copy issues, and in particular copy groups of issues where all the subtasks get

duplicated as well. It lets me bring forward groups of regular tasks from month to month for example.

However when issues are copied all the attachments get copied to the new issue (together with all fields, the title and description of

course). We attach a lot of test reports and other artefacts to our issues during development, and so I can see that while in some

cases attachments might belong logically to the description, in my case they are not wanted.

Is there any chance we could either:

1. Flag whether we want to copy attachments or not; OR

2. Automatically not copy those attachments attached after the initial issue creation at later journal transitions?

History

#1 - 2019-06-28 17:15 - Ewan Makepeace

- Status changed from New to Resolved

Not sure how I missed this before - but the option is right there (if there are attachments) as documented in:

#19815

#3055

Sorry.

#2 - 2019-06-28 17:51 - Marius BĂLTEANU

- Status changed from Resolved to Closed

Ewan Makepeace wrote:

Not sure how I missed this before - but the option is right there (if there are attachments) as documented in:

#19815

#3055

Sorry.

 Thanks for your feedback.
